## GtkMenuBar GtkMenuBar |

## Functions

GtkWidget * | gtk_menu_bar_new ()
#define | gtk_menu_bar_append()
#define | gtk_menu_bar_prepend()
#define | gtk_menu_bar_insert()
void | gtk_menu_bar_set_pack_direction ()
GtkPackDirection | gtk_menu_bar_get_pack_direction ()
void | gtk_menu_bar_set_child_pack_direction ()
GtkPackDirection | gtk_menu_bar_get_child_pack_direction ()

## Properties

GtkPackDirection | child-pack-direction | Read / Write
GtkPackDirection | pack-direction | Read / Write

## Style Properties

gint | internal-padding | Read
GtkShadowType | shadow-type | Read

## Types and Values

struct | GtkMenuBar
enum | GtkPackDirection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkMenuShell
                            ╰── GtkMenuBar

## Implemented Interfaces

GtkMenuBar implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_menu_bar_new ()

    GtkWidget *
    gtk_menu_bar_new (void);

### gtk_menu_bar_append()

    #define gtk_menu_bar_append(menu,child)	    gtk_menu_shell_append  ((GtkMenuShell *)(menu),(child))

`gtk_menu_bar_append` is deprecated and should not be used in newly-written code.

### gtk_menu_bar_prepend()

    #define gtk_menu_bar_prepend(menu,child)    gtk_menu_shell_prepend ((GtkMenuShell *)(menu),(child))

`gtk_menu_bar_prepend` is deprecated and should not be used in newly-written code.

### gtk_menu_bar_insert()

    #define gtk_menu_bar_insert(menu,child,pos) gtk_menu_shell_insert ((GtkMenuShell *)(menu),(child),(pos))

`gtk_menu_bar_insert` is deprecated and should not be used in newly-written code.

### gtk_menu_bar_set_pack_direction ()

    void
    gtk_menu_bar_set_pack_direction (GtkMenuBar *menubar,
                                     GtkPackDirection pack_dir);

Sets how items should be packed inside a menubar.

#### Parameters

menubar | a GtkMenuBar |
pack_dir | a new GtkPackDirection |

Since: 2.8

### gtk_menu_bar_get_pack_direction ()

    GtkPackDirection
    gtk_menu_bar_get_pack_direction (GtkMenuBar *menubar);

Retrieves the current pack direction of the menubar. See `gtk_menu_bar_set_pack_direction()`.

#### Parameters

menubar | a GtkMenuBar |

#### Returns

the pack direction

Since: 2.8

### gtk_menu_bar_set_child_pack_direction ()

    void
    gtk_menu_bar_set_child_pack_direction (GtkMenuBar *menubar,
                                           GtkPackDirection child_pack_dir);

Sets how widgets should be packed inside the children of a menubar.

#### Parameters

menubar | a GtkMenuBar |
child_pack_dir | a new GtkPackDirection |

Since: 2.8

### gtk_menu_bar_get_child_pack_direction ()

    GtkPackDirection
    gtk_menu_bar_get_child_pack_direction (GtkMenuBar *menubar);

Retrieves the current child pack direction of the menubar. See `gtk_menu_bar_set_child_pack_direction()`.

#### Parameters

menubar | a GtkMenuBar |

#### Returns

the child pack direction

Since: 2.8

## Types and Values

### struct GtkMenuBar

    struct GtkMenuBar;

### enum GtkPackDirection

#### Members

GTK_PACK_DIRECTION_LTR |  |
GTK_PACK_DIRECTION_RTL |  |
GTK_PACK_DIRECTION_TTB |  |
GTK_PACK_DIRECTION_BTT |  |

## Property Details

### The `“child-pack-direction”` property

      “child-pack-direction”     GtkPackDirection

The child pack direction of the menubar. It determines how the widgets contained in child menuitems are arranged.

Flags: Read / Write

Default value: GTK_PACK_DIRECTION_LTR

Since: 2.8

### The `“pack-direction”` property

      “pack-direction”           GtkPackDirection

The pack direction of the menubar. It determines how menuitems are arranged in the menubar.

Flags: Read / Write

Default value: GTK_PACK_DIRECTION_LTR

Since: 2.8

## Style Property Details

### The `“internal-padding”` style property

      “internal-padding”         gint

Amount of border space between the menubar shadow and the menu items.

Flags: Read

Allowed values: >= 0

Default value: 1

### The `“shadow-type”` style property

      “shadow-type”              GtkShadowType

Style of bevel around the menubar.

Flags: Read

Default value: GTK_SHADOW_OUT